LibreOffice: XMembersAccess Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XMembersAccess Interface Reference

is used to access named members in a data pilot source level collection. More...

Inheritance diagram for XMembersAccess:

## Public Member Functions
sequence< string > | getLocaleIndependentElementNames ()
| returns names of data pilot members in a locale independent notation.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is used to access named members in a data pilot source level collection.

See also
  com::sun::star::sheet::DataPilotSourceMember

## Member Function Documentation

## ◆ getLocaleIndependentElementNames()

sequence< string > getLocaleIndependentElementNames | ( |  | ) |

returns names of data pilot members in a locale independent notation.

Specifically date values are represented in an ISO 8601 YYYY-MM-DD notation and date+time as YYYY-MM-DD HH:MM:SS, whereas the strings returned by com::sun::star::container::XNameAccess::getElementNames() may represent these in a locale dependent or user formatted notation such as MM/DD/YY or DD.MM.YYYY or other.

The names returned by this function can NOT be used in calls to com::sun::star::container::XNameAccess::getByName(). However, the order returned in two immediately consecutive calls to getElementNames() and getLocaleIndependentElementNames() maps to the same elements in order.

Returns
  a sequence of all element names in this container.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XMembersAccess.idl